Skip to main content
POST
/
datasource
/
{datasource_id}
/
reprocess_metadata
Python (SDK)
from meibelai import Meibelai
import os


with Meibelai(
    api_key_header=os.getenv("MEIBELAI_API_KEY_HEADER", ""),
) as m_client:

    res = m_client.datasources.rag.reprocess_datasource_metadata(datasource_id="<id>", metadata_model={
        "type": "<value>",
        "model_id": "<id>",
        "fields": [
            {
                "name": "<value>",
                "type": "<value>",
                "description": "meaningfully regarding excitedly emerge whereas scram",
            },
        ],
    })

    # Handle response
    print(res)
{
  "workflow_id": "<string>"
}

Authorizations

Meibel-API-Key
string
header
required

Path Parameters

datasource_id
string
required

Body

application/json

ReprocessDatasourceRequest

metadata_model
MetadataModelConfig · object

MetadataModelConfig

Response

Successful Response

ReprocessDatasourceResponse

workflow_id
string
required